# Uses of Enum Class
net.shibboleth.idp.authn.config.LDAPAuthenticationFactoryBean.ConnectionStrategyType

Packages that use LDAPAuthenticationFactoryBean.ConnectionStrategyType
Package
Description
net.shibboleth.idp.authn.config
Configuration touchpoints for authentication flows.

## Uses of LDAPAuthenticationFactoryBean.ConnectionStrategyType in net.shibboleth.idp.authn.config

Fields in net.shibboleth.idp.authn.config declared as LDAPAuthenticationFactoryBean.ConnectionStrategyType
Modifier and Type
Field
Description
`private LDAPAuthenticationFactoryBean.ConnectionStrategyType`
LDAPAuthenticationFactoryBean.`connectionStrategyType`
Type of connection strategy to configure.
Methods in net.shibboleth.idp.authn.config that return LDAPAuthenticationFactoryBean.ConnectionStrategyType
Modifier and Type
Method
Description
`static LDAPAuthenticationFactoryBean.ConnectionStrategyType`
LDAPAuthenticationFactoryBean.ConnectionStrategyType.`fromLabel(String s)`
Returns the enum matching the input label.
`static LDAPAuthenticationFactoryBean.ConnectionStrategyType`
LDAPAuthenticationFactoryBean.ConnectionStrategyType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LDAPAuthenticationFactoryBean.ConnectionStrategyType[]`
LDAPAuthenticationFactoryBean.ConnectionStrategyType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.